Bug 23973 - install hangs when loading aic7xxx for 2940U2W
install hangs when loading aic7xxx for 2940U2W
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-13 22:53 EST by Anthony Feick
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-31 00:22:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Feick 2001-01-13 22:53:27 EST
FIC P007 motherboard
AMD K6 233
256 MB ram
9GB IBM U2W hard drive
4.5GB IBM UW hard drive
Adaptec 2940 Ultra2 Wide PCI SCSI adapter.
  -tried both BIOS v2.20 & v2.57.2

When installing from a CD or floppy install hangs on loading aic7xxx 

NOTE: Mandrake 7.2 fails when scanning SCSI bus on this system as well. 
(don't know if this is related)
Comment 1 Michael Fulbright 2001-01-15 19:38:09 EST
Have you been able to run Linux on this system before?
Comment 2 Anthony Feick 2001-01-17 12:59:12 EST
The system works with Win95, Win2k, and DOS 6.3. Linux install works when 2940U2W is swapped for 2940UW.

The install seems to fail when trying to reset the SCSI bus.  The SCSI activity LED blinks once, the CD-RW drive then blinks, then is hangs for a bit, then 
the SCSI LED lights up again, then it hangs, lights up.....(repeat forever).  The CD-RW drive only blinks the one time, and none of the other drives seem 
to show activity.
Comment 3 Michael Fulbright 2001-01-26 18:42:44 EST
Seems to be a SCSI driver issue in the kernel.
Comment 4 Michael K. Johnson 2001-01-26 18:46:56 EST
Doug, do you know anything about this?
Comment 5 Doug Ledford 2001-01-31 00:22:45 EST
Most likely there is a an infinite retry for negotiation with the U2W drive. 
The best recommedation would be to try the new Adaptec sponsored aic7xxx
driver.  There is a driver disk for Red Hat 7 that provides this new driver on
Justin Gibbs web site at http://people.freebsd.org/~gibbs/linux
Comment 6 Doug Ledford 2001-01-31 00:28:45 EST
I'm closing this bug out and marking the resolution as won't fix.  It's not that
the bug won't get fixed, because I think it already is.  It's that we won't be
the ones to fix it, Adaptec will be now.  Additional comments about Adaptec's
new driver can also be directed at the aic7xxx mailing list at

Note You need to log in before you can comment on or make changes to this bug.